<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for model/logic.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../index.html">All files</a> / <a href="index.html">model</a> logic.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">6.67% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>1/15</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">10% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>1/10</span>
      </div>
    </div>
    <p class="quiet">
      Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
    </p>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a></td><td class="line-coverage quiet"><span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">export const <span class="fstat-no" title="function not covered" >changesInPerson </span>= (oldVal, newVal, user) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >{</span></span>
    let result = <span class="cstat-no" title="statement not covered" >[];</span>
    let oldData = <span class="cstat-no" title="statement not covered" >Object.</span>values(oldVal);
    let newData = <span class="cstat-no" title="statement not covered" >Object.</span>values(newVal);
    let keys = <span class="cstat-no" title="statement not covered" >Object.</span>keys(oldVal);
    let check = <span class="cstat-no" title="statement not covered" >oldData.</span>filter(<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >(e</span></span>lem, index) =&gt; elem !== newData[index] ? elem : false);
<span class="cstat-no" title="statement not covered" >    for (let changeValue of <span class="cstat-no" title="statement not covered" >check) <span class="cstat-no" title="statement not covered" >{</span></span></span>
        const changeIndex = <span class="cstat-no" title="statement not covered" >oldData.</span>findIndex(<span class="fstat-no" title="function not covered" >elem<span class="cstat-no" title="statement not covered" > </span>=&gt; e</span>lem === changeValue);
<span class="cstat-no" title="statement not covered" >        result.</span>push([keys[changeIndex], user, oldData[changeIndex], newData[changeIndex]]);
    }
<span class="cstat-no" title="statement not covered" >    return r</span>esult;
};</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Mon Feb 03 2020 13:52:28 GMT+0200 (Eastern European Standard Time)
</div>
</div>
<script src="../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../sorter.js"></script>
<script src="../block-navigation.js"></script>
</body>
</html>
